Bug 276221 - Anaconda-runtime's pkgorder _rpm.error
Summary: Anaconda-runtime's pkgorder _rpm.error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 8
Hardware: All
OS: All
high
low
Target Milestone: ---
Assignee: Martin Sivák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-04 14:48 UTC by Jeroen van Meeuwen
Modified: 2008-04-25 05:43 UTC (History)
2 users (show)

Fixed In Version: rpm-4.4.2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 05:43:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeroen van Meeuwen 2007-09-04 14:48:44 UTC
Description of problem:
New RPM throws an exception if an RPM gets added to the transaction more then
once (if I understand correctly, from #249908). Anaconda-runtime's pkgorder adds
a single RPM to the transaction more then once, apparently

Version-Release number of selected component (if applicable):
[kanarip@elwood ~]$ rpm -qv anaconda anaconda-runtime
anaconda-11.3.0.26-1
anaconda-runtime-11.3.0.26-1

How reproducible:
run pkgorder on any tree

Steps to Reproduce:
1. Create an install tree (or build tree)
2. Run pkgorder in order to split the packages over different media
3.
  
Actual results:
Running pkgorder:                ###################################       89.0%
Traceback (most recent call last):
  File "./revisor.py", line 297, in <module>
    revisorBase.run()
  File "/home/kanarip/devel/revisor/revisor/cli.py", line 42, in run
    self.base.lift_off()
  File "/home/kanarip/devel/revisor/revisor/base.py", line 833, in lift_off
    self.buildInstallationMedia()
  File "/home/kanarip/devel/revisor/revisor/base.py", line 1187, in
buildInstallationMedia
    ds.processTransaction(ds)
  File "/home/kanarip/devel/revisor/revisor/pkgorder.py", line 78, in
processTransaction
    ds.populateTs(keepold=0)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 223, in populateTs
    self.ts.addInstall(hdr, (hdr, rpmfile), txmbr.ts_state)
_rpm.error: adding package to transaction failed

OR:

[root@elwood ~]# /usr/lib/anaconda-runtime/pkgorder \
/var/tmp/revisor-pungi/7/f7-i386/i386/os/ i386 Fedora > \
/var/tmp/revisor-pungi/pkgorder-file 

[ ... wait for a while ...]

Traceback (most recent call last):
  File "/usr/lib/anaconda-runtime/pkgorder", line 201, in <module>
    processTransaction(ds)
  File "/usr/lib/anaconda-runtime/pkgorder", line 77, in processTransaction
    ds.populateTs(keepold=0)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 213, in populateTs
    self.ts.addInstall(hdr, (hdr, rpmfile), txmbr.ts_state)
_rpm.error: adding package to transaction failed

pkgorder output contains packages, but only those that are in any of the groups
selected using ds.addGroups()

Expected results:
Fully populated pkgorder file

Additional info:

Comment 1 Julia Petruescu 2007-10-03 14:26:01 UTC
I have the same error running:
anaconda-11.2.0.66-1
anaconda-runtime-11.2.0.66-1

Traceback (most recent call last):
  File "/usr/lib/anaconda-runtime/pkgorder", line 201, in <module>
    processTransaction(ds)
  File "/usr/lib/anaconda-runtime/pkgorder", line 77, in processTransaction
    ds.populateTs(keepold=0)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 213, in populateTs
    self.ts.addInstall(hdr, (hdr, rpmfile), txmbr.ts_state)
_rpm.error: adding package to transaction failed

Do you have any idea when this bug, I mean what version was introduced? 
Do you have a temporary solution or workaround?

Thanks,

Julia


Comment 2 Bug Zapper 2008-04-04 13:45:01 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Panu Matilainen 2008-04-25 05:43:37 UTC
This has been fixed already:
- rpm 4.4.2.2 no longer throws an exception on this event (as it's just a warning)
- anaconda was fixed at some point (before rpm) to not add same packages to
transaction


Note You need to log in before you can comment on or make changes to this bug.